//ROBOT 2 MARK13 BROADCASTS 

//SEARCHING MODE SNDS	<--ATTACHED TO SEARCHING MOTION
schema zz2search
archetype DEVICE_MISC
no_repeat
volume -1000
zz2srch1 zz2srch2 zz2srch3
env_tag (Event Search) (CreatureType CombatBot)

//FIRING POWERUP	<--ATTACHED TO BEG OF FIRING MOTION
schema zz2powerup
archetype DEVICE_MISC
volume -50
zz2pwup1
env_tag (Event WeaponCharge) (CreatureType CombatBot)

//----------------------------------------------------

schema zz2a0			//AT ALERT 0
archetype AI_NONE
volume -200
delay 3000
mono_loop 15000 30000
zz2a0nz1 zz2a0nz2 zz2a0nz3 zz2a0nz4 zz2a0nz5 zz2a0nz6 zz2a0nz7
schema_voice vmcmark 1 atlevelzero

schema zz2a0alt	      	//ALERT 0 ALTERNATE
archetype AI_NONE
delay 2000
volume -200
mono_loop 15000 30000
zz2a0nz1 zz2a0nz2 zz2a0nz3 zz2a0nz4 zz2a0nz5 zz2a0nz6 zz2a0nz7
zz2a0_16
schema_voice vmcmark 1 atlevelzero

//----------------------------------------------------

schema zz2a1			//TO ALERT 1
archetype AI_NONE
volume -1
zz2a1__2 zz2a1__3 
schema_voice vmcmark 1 tolevelone  

schema zz2a1v			//TO ALERT 1 +sighted
archetype AI_NONE
volume -1
zz2a1v_2
schema_voice vmcmark 1 tolevelone (Sense Sight)

schema zz2a1h			//TO ALERT 1 +heard
archetype AI_NONE
volume -1
zz2a1h_2
schema_voice vmcmark 2 tolevelone (Sense Sound)

schema zz2a1_w			//TO ALERT 1 +w/co
archetype AI_MINOR
volume -1
zz2a1_w1 zz2a1_w2
schema_voice vmcmark 2 tolevelone (NearbyFriends 0 20)

schema zz2a1vw			//TO ALERT 1 +sighted +w/co
archetype AI_MINOR
volume -1
zz2a1vw1
schema_voice vmcmark 3 tolevelone (Sense Sight) (NearbyFriends 0 20)

schema zz2a1hw			//TO ALERT 1 +heard +w/co
archetype AI_MINOR
volume -1
zz2a1hw1
schema_voice vmcmark 3 tolevelone (Sense Sound) (NearbyFriends 0 20)


//----------------------------------------------------

schema zz2a2			//TO ALERT 2
archetype AI_MINOR
volume -1
zz2a2__1
schema_voice vmcmark 1 toleveltwo  

schema zz2a2h			//TO ALERT 2 +heard
archetype AI_MINOR
volume -1
zz2a2h_1
schema_voice vmcmark 2 toleveltwo (Sense Sound)

//----------------------------------------------------

schema zz2a3s			//SPOTTED THE PLAYER
archetype AI_MORE_MAJOR
volume -1
zz2a3s_2 zz2a3s_3
schema_voice vmcmark 1 spotplayer 
schema_voice vmcmark 1 tolevelthree

schema zz2telr			//SPOTTED THE PLAYER +w/co
archetype AI_COMBAT
volume -1
zz2telr1 zz2telc1
schema_voice vmcmark 5 spotplayer (NearbyFriends 0 20)
schema_voice vmcmark 1 reacttellrev

//----------------------------------------------------

schema zz2at1			//AT ALERT 1 & 2
archetype AI_NONE
volume -200
mono_loop 2000 10000
zz2a0nz1 zz2a0nz2 zz2a0nz3 zz2a0nz4 zz2a0nz5 zz2a0nz6 zz2a0nz7
schema_voice vmcmark 1 atlevelone
schema_voice vmcmark 1 atleveltwo

schema zz2at2			//AT ALERT 2 & 3 +Investigating
archetype AI_MINOR
volume -1
delay 3000
mono_loop 15000 30000
no_repeat
zz2a2se1 zz2a2se3
schema_voice vmcmark 99 atleveltwo (Investigate True)
schema_voice vmcmark 99 atlevelthree (Investigate True)

//----------------------------------------------------

schema zz2chga			//REACT CHARGE
archetype AI_MORE_MAJOR
volume -1
zz2chga1
schema_voice vmcmark 1 reactcharge

schema zz2chgw			//REACT CHARGE +w/co
archetype AI_COMBAT
volume -1
zz2chgw1
schema_voice vmcmark 2 reactcharge (NearbyFriends 0 20)

schema zz2runa			//REACT RUN AWAY +alone
archetype AI_MAJOR
volume -1
zz2alma1 
schema_voice vmcmark 1 reactrun 
schema_voice vmcmark 1 getbowman 
schema_voice vmcmark 1 reactalarm

schema zz2almw			//REACT YOU TO SOUND THE ALARMS +w/co
archetype AI_COMBAT
volume -1
zz2almw1
schema_voice vmcmark 9 reactalarm (NearbyFriends 0 20)

//----------------------------------------------------

schema zz2sec			//FOUND A SECURITY BREACH
archetype AI_MORE_MAJOR
volume -1
zz2sec_1
schema_voice vmcmark 1 foundbreach

//----------------------------------------------------

//COMBAT
schema zz2atn			//ATTACKING +not losing
archetype AI_COMBAT
volume -1
zz2atn_2 zz2atn_4
schema_voice vmcmark 1 comattack
schema_voice vmcmark 1 reactshoot

schema zz2atww			//ATTACKING +winning +w/co
archetype AI_COMBAT
volume -1
zz2atn_2 zz2atn_4
schema_voice vmcmark 5 comattack (NearbyFriends 0 20)
schema_voice vmcmark 5 reactshoot (NearbyFriends 0 20)

//----------------------------------------------------

schema zz2hit			//HIT THE PLAYER
archetype AI_COMBAT
volume -1
zz2hit_1
schema_voice vmcmark 1 comsucchit

schema zz2hitw			//HIT THE PLAYER +w/co
archetype AI_COMBAT
volume -1
zz2hitw1
schema_voice vmcmark 2 comsucchit (NearbyFriends 0 20)

//----------------------------------------------------

schema zz2hnd			//HIT BY PLAYER NO DAMAGE +Winning
archetype AI_MAJOR
volume -1
zz2hnd_1
schema_voice vmcmark 1 comhitnodam

//----------------------------------------------------

schema zz2amb 		//AMBUSHED
archetype AI_MAJOR 
volume -1
zz2amb_1 
schema_voice vmcmark 1 comhitamb

schema zz2ambw		//AMBUSHED +w/co
archetype AI_COMBAT
volume -1
zz2ambw1
schema_voice vmcmark 2 comhitamb (NearbyFriends 0 20)

//----------------------------------------------------
//----------------------------------------------------